Skip Menu |
 

This queue is for tickets about the Maypole CPAN distribution.

Report information
The Basics
Id: 9129
Status: resolved
Priority: 0/
Queue: Maypole

People
Owner: Nobody in particular
Requestors: dave.Howorth [...] acm.org
Cc:
AdminCc:

Bug Information
Severity: Unimportant
Broken in: 2.04
Fixed in: (no value)



Subject: install failure in 2.05
Download (untitled) / with headers
text/plain 2.1k
Hi Simon, Minor problem in the install of 2.05 (log below). Basically, I appear to have mod_perl installed (quite likely, I installed all Suse-supplied Perl-related modules in case there were any fixes for their multi-threaded environment) but I don't use it and I don't have Apache::Request, so the tests fail as below. Changing: BEGIN { if (eval { require mod_perl }) { to BEGIN { if (eval { require mod_perl; require Apache::Request }) { appears to fix it. Cheers, Dave =========================== t/apache_mvc.......NOK 1# Failed test (t/apache_mvc.t at line 8) # Tried to require 'Apache::MVC'. # Error: Can't locate Apache/Request.pm in @INC (@INC contains: /root/.cpan/build/Maypole-2.05/blib/lib /root/.cpan/build/Maypole-2.05/blib/arch /home/dave/modules /usr/lib/perl5/5.8.3/i586-linux-thread-multi /usr/lib/perl5/5.8.3/i586-linux-thread-multi /usr/lib/perl5/5.8.3 /usr/lib/perl5/site_perl/5.8.3/i586-linux-thread-multi /usr/lib/perl5/site_perl/5.8.3/i586-linux-thread-multi /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl/5.8.3/i586-linux-thread-multi /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.3/i586-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3/i586-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.3/i586-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl . /usr/lib/perl5/5.8.3/i586-linux-thread-multi /usr/lib/perl5/5.8.3 /usr/lib/perl5/site_perl/5.8.3/i586-linux-thread-multi /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.3/i586-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl .) at /root/.cpan/build/Maypole-2.05/blib/lib/Apache/MVC.pm line 22. # Compilation failed in require at (eval 1) line 2. t/apache_mvc.......ok 2/2# Looks like you failed 1 tests of 2. t/apache_mvc.......dubious Test returned status 1 (wstat 256, 0x100) Scalar found where operator expected at (eval 153) line 1, near "'int' $__val" (Missing operator before $__val?) DIED. FAILED test 1 Failed 1/2 tests, 50.00% okay


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.